<div class="import-export-tax-rates">
<?php if (!$block->getIsReadonly()):?>
<div class="import-tax-rates">
    <?php if ($block->getUseContainer()):?>
    <form id="import-form"
            class="admin__fieldset"
            action="<?= $block->escapeUrl($block->getUrl('techtic/links/importPost')) ?>"
            method="post"
            enctype="multipart/form-data">
    <?php endif; ?>
        <?= $block->getBlockHtml('formkey') ?>
        <div class="fieldset admin__field">
            <label for="import_links_file" class="admin__field-label">
                <span><?= $block->escapeHtml(__('Validate & Import')) ?></span>
            </label>
            <div class="admin__field-control">
                <input type="file"
                        id="import_links_file"
                        name="import_links_file"
                        class="input-file required-entry"/>
                <?= $block->getButtonHtml(__('Validate & Import'), '', 'import-submit') ?>
            </div>
        </div>
    <?php if ($block->getUseContainer()):?>
    </form>
    <?php endif; ?>
    <?php $scriptString = <<<script

require(['jquery', 'Magento_Ui/js/modal/alert', "mage/mage", "loadingPopup", 'mage/translate'],
    function(jQuery, uiAlert){

jQuery('#import-form').mage('form').mage('validation');
(function ($) {
    $('.import-submit').click(function(){
        if($(':input[name="import_links_file"]').val()) {
            $('body').loadingPopup({
                timeout: false
            });

            $(this.form).trigger('submit');
        } else {
            uiAlert({
                content: $.mage.__('Please select a file to import!')
            });
        }
    });
})(jQuery);

});

script;
    ?>
    <?= /* @noEscape */ $secureRenderer->renderTag('script', [], $scriptString, false) ?>
</div>
<?php endif; ?>
<div class="export-tax-rates <?= ($block->getIsReadonly()) ? 'box-left' : 'box-right' ?>">
    <?php if ($block->getUseContainer()):?>
    <form id="export_form"
            class="admin__fieldset"
            action="<?= $block->escapeUrl($block->getUrl('tax/rate/exportPost')) ?>"
            method="post"
            enctype="multipart/form-data">
    <?php endif; ?>
        <?= $block->getBlockHtml('formkey') ?>
    <?php if ($block->getUseContainer()):?>
    </form>
    <?php endif; ?>
</div>
</div>
